<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.3.2.RELEASE</version>
		<relativePath /> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.naradacode</groupId>
	<artifactId>springboot-example</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>springboot-example</name>
	<description>Naradacode demo spring boot project</description>

	<properties>
		<java.version>1.8</java.version>
		<maven-deploy-plugin.version>2.8.2</maven-deploy-plugin.version>
		<maven-release-plugin.version>2.5.2</maven-release-plugin.version>
		<ecs-logging-java.version>1.2.0</ecs-logging-java.version>
		<sonar.organization>devopsindonesia-oss</sonar.organization>
<!--		<sonar.jacoco.xmlReportPaths>target/site/jacoco/jacoco.xml</sonar.jacoco.xmlReportPaths>-->
<!--		<sonar.coverage.exclusions>src/main/java/com/naradacode/springbootexample/SpringbootExampleApplication.java,src/main/java/com/naradacode/springbootexample/entity/*</sonar.coverage.exclusions>-->
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jdbc</artifactId>
		</dependency>

		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
<!--			<exclusions>-->
<!--				<exclusion>-->
<!--					<groupId>org.junit.vintage</groupId>-->
<!--					<artifactId>junit-vintage-engine</artifactId>-->
<!--				</exclusion>-->
<!--			</exclusions>-->
		</dependency>
<!--		<dependency>-->
<!--			<groupId>junit</groupId>-->
<!--			<artifactId>junit</artifactId>-->
<!--			<version>4.12</version>-->
<!--			<scope>test</scope>-->
<!--		</dependency>-->
		<dependency>
			<groupId>org.apache.tomcat.embed</groupId>
			<artifactId>tomcat-embed-core</artifactId>
			<version>9.0.41</version>
		</dependency>
		<dependency>
			<groupId>org.apache.tomcat.embed</groupId>
			<artifactId>tomcat-embed-websocket</artifactId>
			<version>9.0.41</version>
		</dependency>
		<dependency>
			<groupId>co.elastic.logging</groupId>
			<artifactId>logback-ecs-encoder</artifactId>
			<version>${ecs-logging-java.version}</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.owasp</groupId>
				<artifactId>dependency-check-maven</artifactId>
				<version>6.2.2</version>
				<configuration>
					<failBuildOnCVSS>11</failBuildOnCVSS>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>check</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.jacoco</groupId>
				<artifactId>jacoco-maven-plugin</artifactId>
				<version>0.8.5</version>
				<executions>
					<execution>
						<goals>
							<goal>prepare-agent</goal>
						</goals>
					</execution>
					<!-- attached to Maven test phase -->
					<!--<execution>
						<id>report</id>
						<phase>test</phase>
						<goals>
							<goal>report</goal>
						</goals>
					</execution>-->
				</executions>
				<configuration>
					<excludes>
						<exclude>com/naradacode/springbootexample/entity/*.class</exclude>
						<exclude>com/naradacode/springbootexample/SpringbootExampleApplication.class</exclude>
					</excludes>
				</configuration>
			</plugin>
			<!--<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<version>${maven-deploy-plugin.version}</version>
				<executions>
					<execution>
						<id>default-deploy</id>
						<phase>deploy</phase>
						<goals>
							<goal>deploy</goal>
						</goals>
					</execution>
				</executions>
			</plugin>-->
			<!--<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>${maven-release-plugin.version}</version>
				<configuration>
					<tagNameFormat>v@{project.version}</tagNameFormat>
					<autoVersionSubmodules>true</autoVersionSubmodules>
				</configuration>
			</plugin>-->
		</plugins>
	</build>

	<!--<scm>
		<connection>scm:git:git@gitlab.com:devopsindonesia-oss/app-example/springboot-example.git</connection>
		<url>scm:git:git@gitlab.com:devopsindonesia-oss/app-example/springboot-example.git</url>
		<developerConnection>scm:git:git@gitlab.com:devopsindonesia-oss/app-example/springboot-example.git</developerConnection>
	  <tag>HEAD</tag>
  	</scm>

	<repositories>
		<repository>
			<id>maven-group</id>
			<url>http://nexus.company.com/repository/maven-public/</url>
		</repository>
	</repositories>

	<distributionManagement>
		<snapshotRepository>
			<id>nexus-snapshots</id>
			<url>http://nexus.company.com/repository/maven-snapshots/</url>
		</snapshotRepository>
		<repository>
			<id>nexus-releases</id>
			<url>http://nexus.company.com/repository/maven-releases/</url>
		</repository>
	</distributionManagement>-->
</project>
